MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032274Open CASCADE[OCCT] OCCT:Testspublic2021-03-31 15:512021-04-17 14:02
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032274: Tests - unstable snapshots from test case v3d/bugs/bug24785
DescriptionTest case v3d/bugs/bug24785 generates unstable screenshots.
Steps To Reproducetestgrid v3d bugs bug24785
TagsNo tags attached.
Test case numberv3d/bugs/bug24785
Attached Filespng file icon bug24785_debian_ref.png (11,164 bytes) 2021-03-31 15:51
png file icon bug24785_debian_test.png (10,879 bytes) 2021-03-31 15:51

- Relationships
child of 0032208verifiedbugmaster Tests - refactor visualization tests to cover several graphic drivers 
child of 0024785closedapn Visualization - Modifying z-layers concept to gain more control over OpenGl depth buffer. 

-  Notes
(0100167)
kgv (developer)
2021-04-07 12:53
edited on: 2021-04-07 16:23

The screenshot for this test has not been generated before 0032208, hence, instability of screenshot was hidden.
It seems that test case never done what it is supposed to check (at least since the first OCCT release, where test was added).

(0100168)
git (administrator)
2021-04-07 14:29

Branch CR32274 has been created by kgv.

SHA-1: 60d0e24437df2e7361b87aaa82e5d3f10612c446


Detailed log of new commits:

Author: kgv
Date: Wed Apr 7 14:29:58 2021 +0300

    0032274: Tests - unstable snapshots from test case v3d/bugs/bug24785
    
    Test case has been adjusted to reproduce scenario it was supposed to check.
(0100171)
kgv (developer)
2021-04-07 16:23

Please raise corrected test case
- OCCT: branch CR32274.
(0100223)
bugmaster (administrator)
2021-04-10 13:03

Combination -
OCCT branch : IR-2021-04-09
master SHA - a2af24d1a9e5a4f35749261e95d04ae2f389ccbb
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-09 SHA - b5e0ee5a2dc026e18acf3da707091be5d9d6d746
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18019.250000000382 / 18057.390000000454 [-0.21%]
Products
Total CPU difference: 11542.82000000007 / 11506.800000000105 [+0.31%]
Windows-64-VC14:
OCCT
Total CPU difference: 19509.84375 / 19513.828125 [-0.02%]
Products
Total CPU difference: 12890.46875 / 12943.234375 [-0.41%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100414)
git (administrator)
2021-04-17 14:02

Branch CR32274 has been deleted by inv.

SHA-1: 60d0e24437df2e7361b87aaa82e5d3f10612c446

- Related Changesets
occt: master 95bdefb2
Timestamp: 2021-04-07 11:29:58
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032274: Tests - unstable snapshots from test case v3d/bugs/bug24785

Test case has been adjusted to reproduce scenario it was supposed to check.
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - tests/v3d/bugs/bug24785 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-31 15:51 kgv New Issue
2021-03-31 15:51 kgv Assigned To => kgv
2021-03-31 15:51 kgv File Added: bug24785_debian_ref.png
2021-03-31 15:51 kgv File Added: bug24785_debian_test.png
2021-03-31 15:53 kgv Relationship added child of 0032208
2021-04-07 12:53 kgv Note Added: 0100167
2021-04-07 13:52 kgv Relationship added child of 0024785
2021-04-07 14:29 git Note Added: 0100168
2021-04-07 16:23 kgv Note Edited: 0100167 View Revisions
2021-04-07 16:23 kgv Note Added: 0100171
2021-04-07 16:23 kgv Assigned To kgv => bugmaster
2021-04-07 16:23 kgv Status new => resolved
2021-04-07 16:23 kgv Status resolved => reviewed
2021-04-07 16:24 kgv Product Version => 6.7.1
2021-04-10 13:03 bugmaster Note Added: 0100223
2021-04-10 13:03 bugmaster Status reviewed => tested
2021-04-10 13:07 bugmaster Test case number => v3d/bugs/bug24785
2021-04-10 13:16 bugmaster Changeset attached => occt master 95bdefb2
2021-04-10 13:16 bugmaster Status tested => verified
2021-04-10 13:16 bugmaster Resolution open => fixed
2021-04-17 14:02 git Note Added: 0100414


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker